ParametricQueryNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.ParametricQueryNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.core.nodes
Class ParametricQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.FieldQueryNode
              org.apache.lucene.queryParser.core.nodes.ParametricQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, FieldableNode, FieldValuePairQueryNode<CharSequence>, QueryNode, TextableQueryNode, ValueQueryNode<CharSequence>

Deprecated. this class will be removed in future. `FieldQueryNode` should be used instead.

    @Deprecated
    public class ParametricQueryNode

extends FieldQueryNode

A `ParametricQueryNode` represents LE, LT, GE, GT, EQ, NE query. Example: date >= "2009-10-10" OR price = 200

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ParametricQueryNode.CompareOperator` Deprecated.

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.FieldQueryNode
`begin, end, field, positionIncrement, text`

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`ParametricQueryNode(CharSequence field, ParametricQueryNode.CompareOperator comp, CharSequence value, int begin, int end)` Deprecated.

Method Summary
`ParametricQueryNode` | `cloneTree()` Deprecated. Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
`CharSequence` | `getOperand()` Deprecated.
`ParametricQueryNode.CompareOperator` | `getOperator()` Deprecated.
`CharSequence` | `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` Deprecated. convert to a query string understood by the query parser
`String` | `toString()` Deprecated. Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.FieldQueryNode
`getBegin, getEnd, getField, getFieldAsString, getPositionIncrement, getTermEscaped, getTermEscapeQuoted, getText, getTextAsString, getValue, setBegin, setEnd, setField, setPositionIncrement, setText, setValue`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, unsetTag, unsetTag`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, unsetTag, unsetTag`

Constructor Detail

### ParametricQueryNode

    public ParametricQueryNode(CharSequence field,
                               ParametricQueryNode.CompareOperator comp,
                               CharSequence value,
                               int begin,
                               int end)

  Deprecated.
  Parameters:
    `field` - - field name
    `comp` - - CompareOperator
    `value` - - text value
    `begin` - - position in the query string
    `end` - - position in the query string

Method Detail

### getOperand

    public CharSequence getOperand()

  Deprecated.

### toQueryString

    public CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

  Deprecated.
  Description copied from interface: `QueryNode`
  convert to a query string understood by the query parser

  Specified by:
    `toQueryString` in interface `QueryNode`
  Overrides:
    `toQueryString` in class `FieldQueryNode`

### toString

    public String toString()

  Deprecated.
  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `FieldQueryNode`
  See Also:
    `QueryNode.toString()`

### cloneTree

    public ParametricQueryNode cloneTree()
                                  throws CloneNotSupportedException

  Deprecated.
  Description copied from interface: `QueryNode`
  Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method

  Specified by:
    `cloneTree` in interface `QueryNode`
  Overrides:
    `cloneTree` in class `FieldQueryNode`
  Returns:
    the cloned tree
  Throws:
    `CloneNotSupportedException`

### getOperator

    public ParametricQueryNode.CompareOperator getOperator()

  Deprecated.
  Returns:
    the operator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD